petsc-3.12.1 2019-10-22
Report Typos and Errors

# VecSetSizes

Sets the local and global sizes, and checks to determine compatibility

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecSetSizes(Vec v, PetscInt n, PetscInt N)

Collective on Vec

### Input Parameters

| v | - the vector
| n | - the local size (or PETSC_DECIDE to have it set)
| N | - the global size (or PETSC_DECIDE)

### Notes

n and N cannot be both PETSC_DECIDE If one processor calls this with N of PETSC_DECIDE then all processors must, otherwise the program will hang.

### See Also

VecGetSize(), PetscSplitOwnership()

### Level

intermediate

### Location

src/vec/vec/interface/vector.c

### Examples

src/vec/vec/utils/tagger/examples/tutorials/ex1.c.html
src/vec/vec/examples/tutorials/ex1.c.html
src/vec/vec/examples/tutorials/ex2.c.html
src/vec/vec/examples/tutorials/ex3.c.html
src/vec/vec/examples/tutorials/ex5.c.html
src/vec/vec/examples/tutorials/ex6.c.html
src/vec/vec/examples/tutorials/ex7.c.html
src/vec/vec/examples/tutorials/ex8.c.html
src/vec/vec/examples/tutorials/ex9.c.html
src/vec/vec/examples/tutorials/ex10.c.html
src/vec/vec/examples/tutorials/ex11.c.html
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages